Bug 260363 (harfbuzz-3.2.0) - [exp-run] Update print/harfbuzz to 3.2.0
Summary: [exp-run] Update print/harfbuzz to 3.2.0
Status: Closed FIXED
Alias: harfbuzz-3.2.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-12 15:37 UTC by Tobias C. Berner
Modified: 2021-12-16 17:29 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (1.96 KB, patch)
2021-12-12 15:37 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-12-12 15:37:24 UTC
Created attachment 230061 [details]
v1

Moin moin 

desktop@ would like to ask for an exp-run to update print/harfbuzz to 3.2.0. 

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/0001-print-harfbuzz-update-to-3.2.0.patch


mfg Toibas
Comment 1 Antoine Brodin freebsd_committer 2021-12-15 21:07:24 UTC
Exp-run looks fine
Comment 2 Tobias C. Berner freebsd_committer 2021-12-16 17:28:48 UTC
Committed. Thanks for the exp-run.
Comment 3 commit-hook freebsd_committer 2021-12-16 17:29:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=79a4cf5dcc0b1e1206715dcd206b962e36dafdf6

commit 79a4cf5dcc0b1e1206715dcd206b962e36dafdf6
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-12 15:33:10 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-16 17:27:56 +0000

    print/harfbuzz: update to 3.2.0

    harfbuzz library improvements:

       * Fixed shaping of Apple Color Emoji flags in right-to-left context.
       * Fixed positioning of CFF fonts in HB_TINY profile.
       * OpenType 1.9 language tags update.
       * Add HB_NO_VERTICAL config option.
       * Add HB_CONFIG_OVERRIDE_H for easier configuration.

    harfbuzz-subset library improvements:

       * Improved packing of cmap, loca, and Ligature tables.
       * Significantly improved overflow-resolution strategy in the repacker.

    PR:             260363
    Exp-run by:     antoine

 print/harfbuzz/Makefile | 4 ++--
 print/harfbuzz/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)